Subject: RE: [Sip] Comment in draft-ietf-sipping-torture-tests-02.txt

From: [email-masked]
Date: Mon, 19 Jan 2004 17:35:47 +0530

Thanks & Regards,
Nataraju A.B. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ajit
Katankot (WT01 - TELECOM & INTER-NETWORKING SOLUTIONS)
Sent: Monday, January 19, 2004 4:48 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Sip] Comment in draft-ietf-sipping-torture-tests-02.txt

Hi,

I have a question on the parsing of the following INVITE message given
in section  3.1.1.1 of draft-ietf-sipping-torture-tests-02.txt.

In this message the contact header (m line) is extended over multiple
lines, but the extra line does not precede with at least one SP or HT.
Is this a valid Contact header ?

 [ABN] this is an INVALID input, the parser should not consider this
header as an invalid header...

Section 7.3.1 in RFC 3261 mentions that: 

"Header fields can be extended over multiple lines by preceding each
extra line with at least one SP or horizontal tab (HT).  The line break
and the whitespace at the beginning of the next line are treated as a
single SP character."

------------------------------

INVITE sip:[email-masked];unknownparam SIP/2.0
TO :
 sip:[email-masked] ;   tag    = 1918181833n
from   : "J Rosenberg \\\""       <sip:[email-masked]>
  ;
  tag = 98asjd8
MaX-fOrWaRdS: 0068
Call-ID: [email-masked]
Content-Length   : 151
cseq: 0009
  INVITE
Via  : SIP  /   2.0
 /UDP
    192.0.2.2;branch=390skdjuw
s :
NewFangledHeader:   newfangled value
 continued newfangled value
UnknownHeaderWithUnusualValue: ;;,,;;,;
Content-Type: application/sdp
Route:
 <sip:services.example.com;lr;unknownwith=value;unknown-no-value>
v:  SIP  / 2.0  / TCP     spindle.example.com   ;
  branch  =   z9hG4bK9ikj8  ,
 SIP  /    2.0   / UDP  192.168.255.111   ; branch=
 z9hG4bK30239
m:"Quoted string \"\"" <sip:[email-masked]> ; newparam =
newvalue ;
  secondparam ; q = 0.33

v=0
o=mhandley 29739 7272939 IN IP4 192.0.2.3
s=-
c=IN IP4 192.0.2.4
t=0 0
m=audio 492170 RTP/AVP 0 12
m=video 3227 RTP/AVP 31
a=rtpmap:31 LPC

---

From: Robert Sparks <[email-masked]>
Date: Mon, 19 Jan 2004 08:49:33 -0600

This is a SIPPING draft.

This bug has already been discussed on that list and will
be fixed in the next version of the draft (which will appear before
the draft deadline).

RjS

On Mon, 2004-01-19 at 06:05, [email-masked] wrote:
>  [ABN]this is an INVALID input, the parser should not consider this
> header as an invalid header…
> 
>  
> 
> 
> "Header fields can be extended over multiple lines by preceding
> each extra line with at least one SP or horizontal tab (HT).  The
> line break and the whitespace at the beginning of the next line are
> treated as a single SP character."
> 
> 
>  
> 
> 
> Confidentiality Notice
> The information contained in this electronic message and any attachments to this message are intended
> for the exclusive use of the addressee(s) and may contain confidential or privileged information. If
> you are not the intended recipient, please notify the sender at Wipro or [email-masked] immediately
> and destroy all copies of this message and any attachments.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip